@black: #212121;
@blue : #1266F1;
@whiteblue : #1266F1;
@white : #caf0f8;

//// Global ////


@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap");


:root {
  
  --body-font: 'Nunito', sans-serif;
  
}

body
{
  font-family: var(--body-font);
}

.primary
{
  color: @blue;
}

.row {
    --bs-gutter-x: 0rem;
    
}

h5
{
  color: @blue;
}

.card 
{
  padding: 30px;
  padding: 30px;
}

/// scroling brand ///

.marquee-rtl {
    overflow: hidden; 
    width:100%; 
  }
  .marquee-rtl > div {
    display: inline-block; 
    white-space: nowrap; 
    animation: defilement-rtl 35s infinite linear; 
    cursor: pointer;
    padding: 20px 2em 10px 100%;
  }

  b
  {
      margin-right: 5px;
      margin-left: 15px;
  }

  
  @keyframes defilement-rtl {
    0% {
      -webkit-transform: translate(0);
      transform: translate(0);
    }
    100% {
      -webkit-transform: translate(-100%);
      transform: translate(-100%);
    }
  }

.scrolling
{
    em
    {
        color: @blue;
        font-weight: 600;
    }
}


/// NAV BAR ///

.navbar-light .navbar-nav .nav-link
{
    color: @blue;
}


// .red_bg
// {
//   background:red;
//   color:#fff;
// }

.btn-floating .fas
{
  line-height: 0px;
}

nav
{    
  a {
    color: rgb(255, 255, 255);
    text-transform: uppercase;
    text-decoration: none;
    display: inline-block;
    position: relative;
    font-size: 13px;
    }

    a:after 
    {    
      background: none repeat scroll 0 0 transparent;
      bottom: 0;
      content: "";
      display: block;
      height: 2px;
      left: 50%;
      position: absolute;
      background: @blue;
      transition: width 0.3s ease 0s, left 0.3s ease 0s;
      width: 0;
    }

    a:hover:after { 
      width: 100%; 
      left: 0; 
    }
}


.justify-content-end
{
  a:after 
  {       
    background: none;    
  }
      
}


 /// Coins page ///

  tr:hover 
    {
      background-color: @white;
    }

  thead
  {
    color: @blue;
    font-weight: bold;
    font-size: 15px;
  }

  .mainText 
    {  
    em
      {
          color: @whiteblue;
          font-weight: 300;
      }
    }
  


///Single coin wiew //


  .singleCoin
  {
    td
    {
      font-size: 14px;
    }

    .rank
    {
      font-size: 20px;
    }

    table
    {
      a 
      {
        text-decoration: none;
        
      }

      i
      {
        font-size: 20px;
      }

      .text-end
      {
        
        font-size: 16px;
      }

      td
      {
        color: gray;
      }
    }
  }


  .price
  {
    color: @blue;
    font-size: 40px;
    margin-top: 50px;
  }


  // button spiner
    // .skin-2 .num-in {
    //   background: #FFFFFF;
    //   box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.15);
    //   border-radius: 25px;
    //   height: 40px;
    //   width: 110px;
    //   float: left;
    // }
    
    // .skin-2 .num-in	span {
    //   width: 40%;
    //   display: block;
    //   height: 40px;
    //   float: left;
    //   position: relative;
    // }
    
    // .skin-2 .num-in span:before, .skin-2 .num-in span:after {
    //   content: '';
    //   position: absolute;
    //   background-color: #667780;
    //   height: 2px;
    //   width: 10px;
    //   top: 50%;
    //   left: 50%;
    //   margin-top: -1px;
    //   margin-left: -5px;
    // }
    
    // .skin-2 .num-in span.plus:after {
    //   transform: rotate(90deg);
    // }
    
    // .skin-2 .num-in input {
    //     float: left;
    //     width: 20%;
    //     height: 40px;
    //     border: none;
    //     text-align: center;
    // }
  
  .calculator 
    {
      img {
        width: 100px;
      }
    }

    .components 
    {
      img
      {
        max-width:  250px;
        max-height: 250px;
        object-fit: contain; 
      }
    }


.bg
{
  background-color: #FBFBFB;
}

/////////////////////////////////////////////////////// DARK MODE ////////////////////////////////////////////

.dark-mode {
  background-color: @black;
  color: rgb(0, 0, 0);

  p
  {
    color: white;
  }
  h1
  {
    color: white;
  }
  h2
  {
    color: white;
  }
  h3  
  {
    color: white;
  }

  b 
  {
    color: white;
  }

  em 
  {
    color: white;
  }

  .bg
  {
    background-color: @black;
  }
  
  td
  {
    color: white;
  }

  tr:hover {
    background-color: rgba(0, 0, 0, 0.274);
}

  th
  {
    color: white;
  }

  em
  {
    @blue: white;
  }
  .mainText 
  {
    em
    {
        color: @whiteblue;
        font-weight: 300;
    }
  }

  .navbar-light .navbar-nav .nav-link
  {
    color: @whiteblue;
  }

  nav
  {
    a 
    {
      color: rgb(255, 255, 255);    
    }

    a:after 
    {     
      background: @whiteblue; 
    }
  }

  ////

  .text-end
    {   
    color: white;
    }

  .footer 
  {
    a
    {
      color: white;
    }
  }
     
}

.box
  {
    border-radius: 5px;
    box-shadow: 1px 1px 1px  1px rgba(0, 0, 0, 0.459) ;
    font-size: 20px;
    padding: 50px;
    text-align: center;
    color: @blue;
  }

    .box:hover
    {
      
      box-shadow: 5px 5px 5px  5px rgba(0, 0, 0, 0.459) ;
    }



///

.circle
{
  width: 200px;
  padding: 50px;
  border-radius: 40%;
  box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.15);

}

.circle:hover
{

  box-shadow: 0px 8px 8px rgba(0, 0, 0, 0.15);

}